[Full-disclosure] [Security-news] SA-CONTRIB-2012-064 - Ubercart - Multiple vulnerabilities



View online: http://drupal.org/node/1547674

* Advisory ID: DRUPAL-SA-CONTRIB-2012-064
* Project: Ubercart [1] (third-party module)
* Version: 6.x, 7.x
* Date: 2012-April-25
* Security risk: Moderately critical [2]
* Exploitable from: Varies (Local & Remote)
* Vulnerability: Cross Site Scripting, Arbitrary PHP code execution,
Multiple vulnerabilities

-------- DESCRIPTION
---------------------------------------------------------

The Ubercart module for Drupal provides a shopping cart and e-commerce
features for Drupal. Parts of Ubercart were vulnerable to a Failure to
encrypt data, Cross Site Scripting, and an Arbitrary PHP Execution
vulnerability.

.... Failure to encrypt data: Exploitable from local

Passwords supplied by new customers during checkout were stored as plain text
until payment was completed for an order, for a maximum of 15 minutes. This
vulnerability is not exploitable remotely, but information may have
inadvertently been leaked via database access (e.g. backups, developer
laptops that are compromised).

.... Cross Site Scripting: Exploitable from remote

The product classes feature did not properly sanitize output and was
vulnerable to a cross site scripting attack. This vulnerability is mitigated
by the fact that an attacker must have the "administer product classes"
permission.

.... Arbitrary PHP Execution: Exploitable from remote

In Ubercart 6.x-2.x, arbitrary PHP code can be executed by users with the
"administer conditional actions" permission. This vulnerability is mitigated
by the fact that this permission should only granted to trusted users.

-------- VERSIONS AFFECTED
---------------------------------------------------

* Ubercart 6.x-2.x versions prior to 6.x-2.8. [3]
* Ubercart 7.x-3.x versions prior to 7.x-3.1. [4]

Drupal core is not affected. If you do not use the contributed Ubercart [5]
module, there is nothing you need to do.

-------- SOLUTION
------------------------------------------------------------

Install the latest version:

* If you use the Ubercart module for Drupal 6.x, upgrade to Ubercart
6.x-2.8. [6]
* If you use the Ubercart module for Drupal 7.x, upgrade to Ubercart
7.x-3.1. [7]

Additionally, in Drupal 6.x, ensure that only trusted users have roles that
have been granted the "administer conditional actions" permission.

Also see the Ubercart [8] project page.

-------- REPORTED BY
---------------------------------------------------------

* Shaun Dychko [9] reported the Failure to encrypt data issue
* Lee Rowlands [10] reported the Cross Site Scripting issue
* Dave Long [11] reported the Arbitrary PHP Execution issue

-------- FIXED BY
------------------------------------------------------------

* Dave Long [12] the module maintainer
* Lyle Mantooth [13] the module maintainer

-------- COORDINATED BY
------------------------------------------------------

* Greg Knaddison [14] of the Drupal Security Team

-------- CONTACT AND MORE INFORMATION
----------------------------------------

The Drupal security team can be reached at security at drupal.org or via the
contact form at http://drupal.org/contact [15].

Learn more about the Drupal Security team and their policies [16], writing
secure code for Drupal [17], and securing your site [18].


[1] http://drupal.org/project/ubercart
[2] http://drupal.org/security-team/risk-levels
[3] http://drupal.org/node/1547506
[4] http://drupal.org/node/1547508
[5] http://drupal.org/project/ubercart
[6] http://drupal.org/node/1547506
[7] http://drupal.org/node/1547508
[8] http://drupal.org/project/ubercart
[9] http://drupal.org/user/475828
[10] http://drupal.org/user/395439
[11] http://drupal.org/user/246492
[12] http://drupal.org/user/246492
[13] http://drupal.org/user/86683
[14] http://drupal.org/user/36762
[15] http://drupal.org/contact
[16] http://drupal.org/security-team
[17] http://drupal.org/writing-secure-code
[18] http://drupal.org/security/secure-configuration

_______________________________________________
Security-news mailing list
Security-news@xxxxxxxxxx
http://lists.drupal.org/mailman/listinfo/security-news

_______________________________________________
Full-Disclosure - We believe in it.
Charter: http://lists.grok.org.uk/full-disclosure-charter.html
Hosted and sponsored by Secunia - http://secunia.com/